{
  options,
  config,
  lib,
  pkgs,
  inputs,
  ...
}:
let
  inherit (inputs.nix-colors.colorschemes.${builtins.toString config.colorscheme.name})
    palette
    ;
in
{
  home.packages = with pkgs; [ libnotify ];

  services.mako = {
    enable = true;
    defaultTimeout = 5000; # milliseconds, can be overwritten by notification sender
    # backgroundColor = "#${palette.base00}"; TODO fix
    # textColor = "#${palette.base05}";
    # borderColor = "#${palette.base0D}";
    # progressColor = "over #${palette.base02}";
    # extraConfig = ''
    #   [urgency=high]
    #   border-color=#${palette.base09}
    # '';
  };
}
