{
  programs.topgrade = {
    enable = true;
    settings = {
      misc.no_self_update = true;
      misc.pre_sudo = true; # Cache sudo password for 5 more minutes
      misc.assume_yes = true;
      misc.no_retry = true;

      pre_commands."Update flake" =
        "git -C /home/julian/.dotfiles checkout origin/flake-updates -- flake.lock";

      linux.nix_arguments = "--flake /home/julian/.dotfiles";
      linux.home_manager_arguments = [
        "--flake"
        "/home/julian/.dotfiles"
      ];

      git = {
        # Additional git repositories to pull
        repos = [
          "~/.dotfiles"
          "~/dev/*"
          "~/.config/doom"
        ];
      };
    };
  };
}
