{
  nix.distributedBuilds = true;
  nix.settings.builders-use-substitutes = true;

  nix.buildMachines = [
    {
      hostName = "builder.julian-mutter.de";
      protocol = "ssh";
      sshUser = "nix";
      systems = [
        "x86_64-linux"
        "aarch64-linux"
      ];
      maxJobs = 4;
      speedFactor = 3;
      supportedFeatures = [
        "nixos-test"
        "benchmark"
        "big-parallel"
        "kvm"
      ];
      mandatoryFeatures = [ ];
    }
    # {
    #   hostName = "localhost";
    #   protocol = null;
    #   systems = [
    #     "x86_64-linux"
    #   ];
    #   maxJobs = 4;
    #   speedFactor = 1;
    # }
  ];
}
