{
  pkgs,
  ...
}:

{
  home.packages = with pkgs; [
    bat
    du-dust # Like du tree but better
    fd # better find
    fdupes # find and delete duplicate files
    ffmpeg
    findutils # locate
    fzf # Fuzzy finder
    ghostscript # needed for imagemagick with pdfs
    imagemagick
    git
    gnupg
    htop
    jq # Command line JSON processor
    killall
    languagetool # Grammar checker
    lazygit # Git client
    links2 # Tui web-browser
    lnav # log analyzing tool
    mc # Tui file browser
    # nix-index
    nmap
    p7zip # unzip 7zip archives
    parted
    pciutils # lspci
    poppler_utils # Pdf utils including pdfimages
    libqalculate # Nice tui calculator (qalc)
    ripgrep # better grep
    rnr # renaming tool
    sage # Maths notebooks
    tealdeer # tldr
    topgrade # System update
    tree
    unetbootin # TODO
    unixtools.procps # TODO
    unzip
    usbutils # lsusb
    wget
    wireguard-tools # wg-quick
    xorg.xkill
    zip

    ## My scripts
    frajul.edit-config
    frajul.lntocp
    frajul.sos
  ];
}
